multimedia/ruby-gstreamer - The NetBSD Packages Collection

Ruby binding of GStreamer 1.0.x or later

Ruby-GNOME is a set of Ruby language bindings for the various
application development libraries included with the GNOME/GTK+
environment.

Ruby/GStreamer is a Ruby binding for GStreamer.

Build dependencies

devel/glib2-tools pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

devel/ruby-gobject-introspection multimedia/gst-plugins1-base lang/ruby32-base multimedia/gstreamer1 multimedia/gstreamer1

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64ruby31-gstreamer-4.2.1.tgz
NetBSD 10.0aarch64ruby32-gstreamer-4.2.1.tgz
NetBSD 10.0aarch64ruby33-gstreamer-4.2.1.tgz
NetBSD 10.0aarch64ruby31-gstreamer-4.2.0.tgz
NetBSD 10.0aarch64ruby32-gstreamer-4.2.0.tgz
NetBSD 10.0aarch64ebruby31-gstreamer-4.2.1.tgz
NetBSD 10.0earmv4ruby31-gstreamer-4.2.0.tgz
NetBSD 10.0earmv4ruby32-gstreamer-4.2.0.tgz
NetBSD 10.0earmv6hfruby31-gstreamer-4.2.1.tgz
NetBSD 10.0earmv6hfruby32-gstreamer-4.2.1.tgz
NetBSD 10.0earmv6hfruby33-gstreamer-4.2.1.tgz
NetBSD 10.0earmv6hfruby31-gstreamer-4.2.0.tgz
NetBSD 10.0earmv6hfruby32-gstreamer-4.2.0.tgz
NetBSD 10.0earmv7hfruby31-gstreamer-4.2.1.tgz
NetBSD 10.0earmv7hfruby32-gstreamer-4.2.1.tgz
NetBSD 10.0earmv7hfruby33-gstreamer-4.2.1.tgz
NetBSD 10.0earmv7hfruby31-gstreamer-4.2.0.tgz
NetBSD 10.0earmv7hfruby32-gstreamer-4.2.0.tgz
NetBSD 10.0i386ruby31-gstreamer-4.2.1.tgz
NetBSD 10.0i386ruby32-gstreamer-4.2.1.tgz
NetBSD 10.0i386ruby33-gstreamer-4.2.1.tgz
NetBSD 10.0i386ruby31-gstreamer-4.2.0.tgz
NetBSD 10.0i386ruby32-gstreamer-4.2.0.tgz
NetBSD 10.0powerpcruby31-gstreamer-4.2.0.tgz
NetBSD 10.0powerpcruby32-gstreamer-4.2.0.tgz
NetBSD 10.0sparc64ruby31-gstreamer-4.2.1.tgz
NetBSD 10.0sparcruby32-gstreamer-4.2.0.tgz
NetBSD 10.0x86_64ruby31-gstreamer-4.2.1.tgz
NetBSD 10.0x86_64ruby32-gstreamer-4.2.1.tgz
NetBSD 10.0x86_64ruby33-gstreamer-4.2.1.tgz
NetBSD 10.0x86_64ruby31-gstreamer-4.2.0.tgz
NetBSD 10.0x86_64ruby32-gstreamer-4.2.0.tgz
NetBSD 9.0aarch64ruby31-gstreamer-4.2.1.tgz
NetBSD 9.0aarch64ruby31-gstreamer-4.2.0.tgz
NetBSD 9.0aarch64ruby32-gstreamer-4.2.0.tgz
NetBSD 9.0alpharuby27-gstreamer-4.0.5.tgz
NetBSD 9.0alpharuby27-gstreamer-4.1.2.tgz
NetBSD 9.0alpharuby30-gstreamer-4.0.5.tgz
NetBSD 9.0alpharuby31-gstreamer-4.0.5.tgz
NetBSD 9.0earmv6hfruby31-gstreamer-4.2.1.tgz
NetBSD 9.0earmv6hfruby32-gstreamer-4.2.1.tgz
NetBSD 9.0earmv6hfruby33-gstreamer-4.2.1.tgz
NetBSD 9.0earmv6hfruby31-gstreamer-4.2.0.tgz
NetBSD 9.0earmv6hfruby32-gstreamer-4.2.0.tgz
NetBSD 9.0earmv7hfruby31-gstreamer-4.2.1.tgz
NetBSD 9.0earmv7hfruby32-gstreamer-4.2.1.tgz
NetBSD 9.0earmv7hfruby33-gstreamer-4.2.1.tgz
NetBSD 9.0earmv7hfruby31-gstreamer-4.2.0.tgz
NetBSD 9.0earmv7hfruby32-gstreamer-4.2.0.tgz
NetBSD 9.0i386ruby31-gstreamer-4.2.1.tgz
NetBSD 9.0i386ruby32-gstreamer-4.2.1.tgz
NetBSD 9.0i386ruby33-gstreamer-4.2.1.tgz
NetBSD 9.0i386ruby31-gstreamer-4.2.0.tgz
NetBSD 9.0i386ruby32-gstreamer-4.2.0.tgz
NetBSD 9.0powerpcruby31-gstreamer-4.2.0.tgz
NetBSD 9.0powerpcruby32-gstreamer-4.2.0.tgz
NetBSD 9.0powerpcruby31-gstreamer-4.2.0.tgz
NetBSD 9.0powerpcruby32-gstreamer-4.2.0.tgz
NetBSD 9.0sparc64ruby27-gstreamer-4.1.2.tgz
NetBSD 9.0sparc64ruby30-gstreamer-4.1.2.tgz
NetBSD 9.0sparc64ruby31-gstreamer-4.1.2.tgz
NetBSD 9.0sparc64ruby32-gstreamer-4.1.2.tgz
NetBSD 9.0sparcruby31-gstreamer-4.2.0.tgz
NetBSD 9.0sparcruby32-gstreamer-4.2.0.tgz
NetBSD 9.0x86_64ruby31-gstreamer-4.2.1.tgz
NetBSD 9.0x86_64ruby32-gstreamer-4.2.1.tgz
NetBSD 9.0x86_64ruby33-gstreamer-4.2.1.tgz
NetBSD 9.0x86_64ruby31-gstreamer-4.2.0.tgz
NetBSD 9.0x86_64ruby32-gstreamer-4.2.0.tgz
NetBSD 9.3x86_64ruby31-gstreamer-4.2.1.tgz
NetBSD 9.3x86_64ruby32-gstreamer-4.2.1.tgz
NetBSD 9.3x86_64ruby33-gstreamer-4.2.1.tgz
NetBSD 9.3x86_64ruby31-gstreamer-4.2.2.tgz
NetBSD 9.3x86_64ruby32-gstreamer-4.2.2.tgz
NetBSD 9.3x86_64ruby33-gstreamer-4.2.2.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.